Package org.jcsp.lang

# Class Skip

java.lang.Object
org.jcsp.lang.Guard
org.jcsp.lang.Skip

All Implemented Interfaces:
  `CSProcess`

public class Skip extends Guard implements CSProcess
This is a process that immediately terminates and a `Guard` that is always ready.

## Description

`Skip` is a process that starts, engages in no events, performs no computation and terminates.

It can also be used as a `Guard` in an `Alternative` that is always ready. This makes it useful for polling a set of guards to test if any are ready: include it as the last element of the guard array and `priSelect`.

Note: the process is also included for completeness – it is one of the fundamental primitives of CSP, where it is a unit of sequential composition and parallel interleaving. In JCSP, it is a unit of `Sequence`, `Parallel` and `PriParallel` .

Author:
  P.D. Austin, P.H. Welch
See Also:
  - `Stop`

## Constructor Summary

Constructors
Constructor
Description
`Skip()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class org.jcsp.lang.Guard

`schedule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Skip

public Skip()

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`